net.sf.jasperreports.engine.design

## Class JRCompilationUnit

- java.lang.Object
- - net.sf.jasperreports.engine.design.JRCompilationUnit

-     public class JRCompilationUnit
      extends java.lang.Object

  Expression evaluator compilation unit used by report compilers.
  Version:
    $Id: JRCompilationUnit.java 5878 2013-01-07 20:23:13Z teodord $
  Author:
    Lucian Chirita (lucianc@users.sourceforge.net)

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `JRCompilationUnit(java.lang.String name, JRCompilationSourceCode sourceCode, java.io.File sourceFile, java.util.List<JRExpression> expressions, JRSourceCompileTask compileTask)` Creates a compilation unit.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `JRCompilationSourceCode` | `getCompilationSource()` Returns the compilation source code unit.
    `java.io.Serializable` | `getCompileData()` Returns the compilation data used for creating expression evaluators.
    `JRSourceCompileTask` | `getCompileTask()` Returns the compile task for the unit.
    `java.util.List<JRExpression>` | `getExpressions()` Returns the list of expressions.
    `java.lang.String` | `getName()` Returns the name of the unit.
    `java.lang.String` | `getSourceCode()` Returns the source code generated for the unit.
    `java.io.File` | `getSourceFile()` Returns the file where the source code was saved.
    `void` | `setCompileData(java.io.Serializable compileData)` Sets the compilation data used for creating expression evaluators.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### JRCompilationUnit

          public JRCompilationUnit(java.lang.String name,
                           JRCompilationSourceCode sourceCode,
                           java.io.File sourceFile,
                           java.util.List<JRExpression> expressions,
                           JRSourceCompileTask compileTask)

      Creates a compilation unit.
      Parameters:
        `name` - the name of the unit
        `sourceCode` - the source code generated for the unit
        `sourceFile` - the file where the source code was saved
        `expressions` - the list of expressions
        `compileTask` - the compile task for the unit

  - ### Method Detail

    - #### getName

          public java.lang.String getName()

      Returns the name of the unit.
      Returns:
        the name of the unit

    - #### getSourceCode

          public java.lang.String getSourceCode()

      Returns the source code generated for the unit.
      Returns:
        the source code generated for the unit

    - #### getCompilationSource

          public JRCompilationSourceCode getCompilationSource()

      Returns the compilation source code unit.
      Returns:
        the compilation source code

    - #### getSourceFile

          public java.io.File getSourceFile()

      Returns the file where the source code was saved.
      Returns:
        the file where the source code was saved

    - #### getExpressions

          public java.util.List<JRExpression> getExpressions()

      Returns the list of expressions.
      Returns:
        the list of expressions

    - #### setCompileData

          public void setCompileData(java.io.Serializable compileData)

      Sets the compilation data used for creating expression evaluators.
      Parameters:
        `compileData` - the compilation data

    - #### getCompileData

          public java.io.Serializable getCompileData()

      Returns the compilation data used for creating expression evaluators.
      Returns:
        the compilation data used for creating expression evaluators

    - #### getCompileTask

          public JRSourceCompileTask getCompileTask()

      Returns the compile task for the unit.
      Returns:
        the compile task

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com